commit:     92ce3b0bd390e1da56c933712f9a92ac5fce8d29
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  4 03:37:44 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar  4 03:43:00 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92ce3b0b

net-news/rssguard: Bump to 5.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-news/rssguard/Manifest              |  1 +
 net-news/rssguard/rssguard-5.0.1.ebuild | 66 +++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/net-news/rssguard/Manifest b/net-news/rssguard/Manifest
index 42be74b8ad4a..5bf7cb9b8981 100644
--- a/net-news/rssguard/Manifest
+++ b/net-news/rssguard/Manifest
@@ -1,2 +1,3 @@
 DIST rssguard-4.8.6.gh.tar.gz 24055627 BLAKE2B 
f8ddf0cdfe5d495f9e76299397df8748b50065c45b99cfdefab1e7eeab22e454bb4b66aae7d0b369a3f5e9c5ad7da5aee28905e200f36d4fa12ca9bd925bdc8b
 SHA512 
1d229355cd422607b3c22f42569bd8f0c4ca7c7cef10311e3ae12782b22c6ebeaa2b9a5227b6f1b9c9bbb5333f486e070abce623a9f214a5a0442d52e5ab6c0a
 DIST rssguard-5.0.0-src.tar.gz 89670896 BLAKE2B 
6b15163f7d4d7e98aee535432d53e675034831342f05ff5d0973c5271fd157f99665ad75414b0c45293a3df346c20c7c59e41379ae3cab685e364dfb144c9f45
 SHA512 
abd6d6b78ef70645b996a04163841062e58209b8b3c113a6a8d2c307d3e452837b8ffb240a1621159d295022e8367ee3b8b8c51c618ba02df53ed0422bee6943
+DIST rssguard-5.0.1-src.tar.gz 90342601 BLAKE2B 
dc869f368b6a7cef0247988a5ddb2ee9cc622ded01ccf0bd8cef3031914e7c30e142f3112aed90714175ce0ee677c0162167db8ea8f601ecd512b11255997476
 SHA512 
3794e47e3cf8f7da36a700d7a27411b6c2cfc06dd2490240d588d84167953284d90978a3bfe36b49588c9ef25275d0c20e6a388e20a4f9b2bce089d3356054f1

diff --git a/net-news/rssguard/rssguard-5.0.1.ebuild 
b/net-news/rssguard/rssguard-5.0.1.ebuild
new file mode 100644
index 000000000000..931b5a58e57d
--- /dev/null
+++ b/net-news/rssguard/rssguard-5.0.1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="Simple (yet powerful) news feed reader"
+HOMEPAGE="https://github.com/martinrotter/rssguard/";
+SRC_URI="
+       
https://github.com/martinrotter/rssguard/releases/download/${PV}/${P}-src.tar.gz
+"
+
+LICENSE="|| ( LGPL-3 GPL-2+ ) AGPL-3+ BSD GPL-3+ MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="icu libmpv mysql qtmultimedia +sqlite"
+REQUIRED_USE="
+       || ( mysql sqlite )
+       ?? ( libmpv qtmultimedia )
+"
+
+# go for article-extractor plugin
+BDEPEND="
+       dev-lang/go
+       dev-qt/qttools:6[linguist]
+"
+DEPEND="
+       
dev-qt/qtbase:6[concurrent,dbus,gui,mysql?,network,sql,sqlite?,ssl,widgets]
+       dev-qt/qtdeclarative:6
+       dev-qt/qtmultimedia:6[gstreamer]
+       media-libs/libglvnd
+       virtual/zlib:=
+       icu? ( dev-libs/icu:= )
+       libmpv? (
+               dev-qt/qtbase:6[opengl]
+               media-video/mpv:=
+       )
+       qtmultimedia? (
+               dev-qt/qtbase:6[opengl]
+               dev-qt/qtmultimedia:6
+       )
+"
+RDEPEND="${DEPEND}"
+
+# go
+QA_FLAGS_IGNORED="/usr/bin/rssguard-article-extractor"
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_WITH_QT6=ON
+               -DREVISION_FROM_GIT=OFF
+               -DNO_UPDATE_CHECK=ON
+               -DENABLE_COMPRESSED_SITEMAP=ON
+               -DENABLE_ICU=$(usex icu)
+               -DENABLE_MEDIAPLAYER_QTMULTIMEDIA=$(usex qtmultimedia)
+               -DENABLE_MEDIAPLAYER_LIBMPV=$(usex libmpv)
+               # recommended
+               -DMEDIAPLAYER_FORCE_OPENGL=ON
+               # TODO: unbundle gumbo? unfortunately upstream is inlining it
+               # into their CMakeLists rather than using litehtml CMakeLists
+               # that support external gumbo
+       )
+
+       cmake_src_configure
+}

Reply via email to